Uriel Hernández Uriel Hernández - 5 months ago 438
Ruby Question

Trying to remove yum which is protected in Centos

Well, I'm trying to execute the following commando.

yum remove libffi-3.0.9-1.el5.rf.i386


Because I need that file (?) because is giving me problems when installing ruby with rvm, as libffi-devel is a dependecy of rvm to install ruby.

However it gives me the following error, and of course it doesn't delete anything.

Error: Trying to remove "yum", which is protected
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest


I've already tried with --skip-broken and I get this:

Error: Trying to remove "yum", which is protected
You could try running: rpm -Va --nofiles --nodigest


As you may see, I'm not an expert in Linux, but I need to install Ruby with rvm and I can't because of this error, does anyone of you have an idea of what am i doing wrong?

Thank you :)

Answer

The right way to do what I was looking for is by doing:

rpm -e --nodeps PACKAGE

in the command line.